> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://tester.army/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://tester.army/_mcp/server.

# Re-run a batch

POST https://tester.army/api/v1/batches/{batchId}/rerun

Create a new group-run batch from the runnable tests in a prior batch. Deleted, disabled, or malformed tests are skipped and returned as `skippedTestIds`.

Reference: https://tester.army/docs/api-reference/tester-army-api/test-runs/re-run-a-batch

## Authentication

- `Authorization` header (bearer token, required) — API key authentication using Bearer token format

## Request

### Path parameters

- `batchId` (string, required) — Source batch ID

## Response

### 202

Batch re-run queued successfully

- `status` (enum, required)
  - Allowed values: `queued`, `cancelled`
- `groupId` (string, required)
- `batchId` (string, required)
- `sourceBatchId` (string, required)
- `runIds` (list of string, required)
- `queuedRunIds` (list of string, required)
- `cancelledRunIds` (list of string, required)
- `skippedTestIds` (list of string, required)
- `count` (integer, required)

## Examples

**Response**

```json
{
  "status": "queued",
  "groupId": "string",
  "batchId": "string",
  "sourceBatchId": "string",
  "runIds": [
    "string"
  ],
  "queuedRunIds": [
    "string"
  ],
  "cancelledRunIds": [
    "string"
  ],
  "skippedTestIds": [
    "string"
  ],
  "count": 1
}
```

**SDK Code**

```python
import requests

url = "https://tester.army/api/v1/batches/batchId/rerun"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://tester.army/api/v1/batches/batchId/rerun';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tester.army/api/v1/batches/batchId/rerun"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://tester.army/api/v1/batches/batchId/rerun")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tester.army/api/v1/batches/batchId/rerun")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tester.army/api/v1/batches/batchId/rerun', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://tester.army/api/v1/batches/batchId/rerun");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://tester.army/api/v1/batches/batchId/rerun")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```